#!/bin/bash

#######################################################################################
# Author: Clarke Towson								      #
# Date: Wednesday 24th November 2021					              #
# Purpose: Get the node aliases that i'm connected to				      #
# will be used in future php scripts to display the node			      #
# aliases on my website on https://intjbilling.com/INTJBitcoinLightningNetwork.html   #
#######################################################################################

clear
# get the list of nodes that my node is connected to

./bitcoin-lightning-cli.sh listincoming | grep -Ei "id" | grep -Eiv "short_channel_id" | sed 's/^.\{16\}//' | sed 's/..$//' >/tmp/connectednodes.txt
arr=()
while IFS= read -r line; do
   arr+=("$line")
done </tmp/connectednodes.txt

i=0
len=${#arr[@]}
echo "Your Bitcoin Lightning Network node is connected to: " $len " nodes"
echo ""
while [ $i -lt $len ];
do
   : 
  ./bitcoin-lightning-cli.sh listnodes | grep -A 1 "${arr[$i]}"
let i++
done

# remove the temp file
rm /tmp/connectednodes.txt
