#!/bin/bash

#######################################################################################
# Author: Clarke Towson								      #
# Date: Friday 7th January 2022						              #
# Purpose: Get the node ip addresses 						      #
# and look up their location 							      #
# aliases on my website on https://intjbilling.com/INTJBitcoinLightningNetwork.html   #
#######################################################################################

clear

./bitcoin-lightning-cli.sh listnodes | grep -Eo '[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}' >/tmp/LNIPS.txt

arr=()
while IFS= read -r line; do
   arr+=("$line")
done </tmp/LNIPS.txt

i=0
len=${#arr[@]}
echo "Total number of nodes we found with ip addresses: " $len " nodes"
echo ""
while [ $i -lt $len ];
do
   : 
 # echo $i;
  geoiplookup "${arr[$i]}"
let i++
done

# remove the temp file
rm /tmp/LNIPS.txt
